iImageFileLoader Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iImageFileLoader Struct Reference
Common Plugin Classes

An image file loader. More...

`#include <csplugincommon/imageloader/commonimagefile.h>`

Inheritance diagram for iImageFileLoader:

List of all members.

## Public Member Functions
virtual void | ApplyTo (csImageMemory *image)=0
| Copy the image data into an image object.
virtual csLoaderDataType | GetDataType ()=0
| Return type of raw data.
virtual int | GetFormat ()=0
| Query format.
virtual int | GetHeight ()=0
| Query height.
virtual void | GetKeyColor (int &r, int &g, int &b) const =0
| Query keycolor.
virtual csRef< iDataBuffer > | GetRawData ()=0
| Return "raw data" (if supported)
virtual int | GetWidth ()=0
| Query width.
virtual bool | HasKeyColor () const =0
| Query whether a keycolor is set.
virtual bool | LoadData ()=0
| Do the loading.

## Detailed Description

An image file loader.

Handles the decoding of an image.

Definition at line 64 of file commonimagefile.h.

## Member Function Documentation

virtual void iImageFileLoader::ApplyTo | ( | csImageMemory * | image | ) | `[pure virtual]`

Copy the image data into an image object.

Implemented in csCommonImageFileLoader.

virtual csLoaderDataType iImageFileLoader::GetDataType | ( |  | ) | `[pure virtual]`

Return type of raw data.

Implemented in csCommonImageFileLoader.

virtual int iImageFileLoader::GetFormat | ( |  | ) | `[pure virtual]`

Query format.

Implemented in csCommonImageFileLoader.

virtual int iImageFileLoader::GetHeight | ( |  | ) | `[pure virtual]`

Query height.

Implemented in csCommonImageFileLoader.

virtual void iImageFileLoader::GetKeyColor | ( | int & | r,
|  | int & | g,
|  | int & | b
| ) |  | const`[pure virtual]`

Query keycolor.

Implemented in csCommonImageFileLoader.

virtual csRef<iDataBuffer> iImageFileLoader::GetRawData | ( |  | ) | `[pure virtual]`

Return "raw data" (if supported)

Implemented in csCommonImageFileLoader.

virtual int iImageFileLoader::GetWidth | ( |  | ) | `[pure virtual]`

Query width.

Implemented in csCommonImageFileLoader.

virtual bool iImageFileLoader::HasKeyColor | ( |  | ) | const`[pure virtual]`

Query whether a keycolor is set.

Implemented in csCommonImageFileLoader.

virtual bool iImageFileLoader::LoadData | ( |  | ) | `[pure virtual]`

Do the loading.

The documentation for this struct was generated from the following file:

- csplugincommon/imageloader/commonimagefile.h